AlreadyExistsException Class Reference

Object already exists. More...

`#include <Exceptions.h>`

Inheritance diagram for AlreadyExistsException:
Collaboration diagram for AlreadyExistsException:

## Public Member Functions

| AlreadyExistsException (const std::string &message=std::string(), const std::string &location=std::string())
| ~AlreadyExistsException () throw ()
Public Member Functions inherited from RcsbException
| RcsbException (const std::string &message=std::string(), const std::string &location=std::string())
| ~RcsbException () throw ()
void | AppendMessage (const std::string &message=std::string(), const std::string &location=std::string())
const char * | what () const throw ()

## Additional Inherited Members

Protected Attributes inherited from RcsbException
std::string | _message

## Detailed Description

Object already exists.

## Constructor & Destructor Documentation

AlreadyExistsException::AlreadyExistsException | ( | const std::string & | message = `std::string()`,
|  | const std::string & | location = `std::string()`
| ) |  |

AlreadyExistsException::~AlreadyExistsException | ( | ) |  |
throw | ( |
| ) |  |

The documentation for this class was generated from the following file:

- rcsb/Exceptions.h